**`Manoj Sen`[NAME]** -NL- : **`msmanojsen91@gmail.com`[EMAILS_EMAIL]** -NL- : +91-**`9340301662`[PHONES_PHONE]** -NL- **`Objective:`[SUMMARY_HEADING]** -NL- Seeking a challenging career in the area of software development where I can -NL- create value for my company by utilizing technical proficiencies and growing -NL- along with company. -NL- **`Experience Summary:`[SUMMARY_HEADING]** -NL-  More than four years of professional experience as a Java/J2EE -NL- developer have in-depth knowledge and exposure to different types of -NL- applications and architectures which include web-based client-server -NL- application development projects. -NL-  Having Experience to developing micro services using spring boot. -NL-  Good knowledge in working with Collections -NL- API and OOPS technologies. -NL-  Extensively used J2EE Design Patterns. -NL-  Experience in development of object-oriented business applications using -NL- Java, JDBC, Servlet, JSP, spring and Hibernate, spring boot, JPA, -NL- JMS, Apache Camel, Radis Cache, Transaction Management, Java -NL- Mail. -NL-  Having Experience in Restful and soap Web Services. -NL-  Having Experience in JMS (tibco ems queue, topic and bridges). -NL-  Experience in Oracle databases. Experience in developing SQL queries -NL- and calling Stored Procedures. -NL-  Experience in version control tools like GIT, SVN. -NL-  Expertise in various frameworks and quality control tools for Unit -NL- Test and Integration Test, for example Mockito, JUNIT, SOAP UI, -NL- SonarQube, postman andfish eye. -NL-  Understanding of Software Development Life Cycle SDLC. Familiar -NL- with Agile Development, Test-Driven Development and Daily Scrum. -NL- **`Experience Profile:`[WORK_EXPERIENCE_HEADING]** -NL-  Working as **`Programmer Analyst`[EMPLOYER_ROLE]** in Cognizant Softvision Mysore from Apr -NL- 2018 to till date. -NL-  Worked as **`Associate Consultant`[EMPLOYER_ROLE]** in **`Virtusa Consulting Services`[EMPLOYER_COMPANY_NAME]** -NL- Bangalore from Nov 2016 to Apr-2018. -NL-  Worked as **`Software Engineer`[EMPLOYER_ROLE]** in **`HCL TECHNOLOGIES Ltd,`[EMPLOYER_COMPANY_NAME]** Bangalore -NL- from June 2015 to Nov 2016. -NL-  Worked as **`Transaction Processor`[EMPLOYER_ROLE]** in **`Xerox Business Services India -NL- Pvt.ltd`[EMPLOYER_COMPANY_NAME]**, Indore from Oct 2013 to May 2015. -NL- **`Academic Profile:`[EDUCATION_HEADING]** -NL-  Bachelor in Computer Application (**`BCA`[EDUCATION_DEGREE]**) in 2011 from **`MCRPV Bhopal`[EDUCATION_INSTITUTE]**. -NL- Technical Profile: -NL- SKILL - EXPERIENCED - AWARENESS -NL- Languages - JAVA 8.0 - C, C++ -NL- Operating Systems Web Technologies Database Software’s - Windows Html, JavaScript Oracle 11g/10g - Linux, Unix Ajax, CSS , XML MySQL 5.0 -NL- JSE Technologies JEE Technologies Servers - JNDI, JDBC Servlet, JSP WebLogic ,Tomcat, boss - RMI EJB ,JMS -NL- Frameworks - Spring, Spring boot - Struts -NL- Logging Tool - Log4J - Assertions -NL- Build Tool - Maven - Gradle -NL- Project Profile: -NL- Project#1: -NL- Project Name : **`EPS`[PROJECT_TITLE]** -NL- Client : Macys -NL- Team Size : 8 Members -NL- Technologies : Java, spring, hibernate, spring boot, Restful and soap web -NL- Services, jdbc -NL- Tools & server : Tools (Eclipse, gitlab, maven, Jira, JUnit, Log4j), server-Jboss -NL- Database : Oracle. -NL- Project Description: -NL- Basically this project is built to replace the legacy Mainframe businessflow into -NL- SCMCredit application using Java & Web services. This new business logic is to -NL- provide stable and efficient way for the clients which deployed over many stores to -NL- remove dependency over mainframe application. -NL- As a part of the development, we are developing a complete new application called -NL- SCMCredit which takes SOAP request from **`EPS`[PROJECT_TITLE]** (Enterprise Payment Service) and -NL- processes the request based on some business logic. This will interact with Vantiv -NL- server to get the required response and provides back the response based on the -NL- different Authorization types to the client. Also, this application incorporates -NL- Encryption/Decryption of Account Number using EES service for the security. -NL- Responsibilities: -NL-  Analyzing the design document and Gather requirements and identify -NL- requirement gap -NL-  Handle client communication regarding requirements, design, etc. -NL-  Involved in task planning and technical discussions. -NL-  Review the developed code and make sure it adheres to the design, -NL- standards and guidelines of the client. -NL-  Deploy minor/major releases -NL-  Involved in code enhancement, Defectfixing. -NL-  Support the onsite team on technical issues -NL-  Provide guidance and support to the client’s internal teams such as the UAT -NL- team, business analysts, and stakeholders. -NL- Project#2: -NL- Project Name : **`NMDB`[PROJECT_TITLE]** -NL- Client : British Telecom -NL- Team Size : 8 Members -NL- Technologies : Java, spring, hibernate, spring boot, Restful web Services, Servlet, -NL- JSP, jdbc -NL- Tools & server: Tools (Eclipse, gitlab, gradle, JUnit, Log4j), -NL- server-Web Logic -NL- Database : Oracle -NL- Project Description: -NL- **`NMDB`[PROJECT_TITLE]** is an ORACLE database holding data for customer devices, sites, circuits -NL- and the network. The database holds device related information and provides -NL- customers with the status of devices, network, sites and circuits. -NL- The **`NMDB`[PROJECT_TITLE]** Oracle database is identified as the master source of data for actively -NL- managed network devices. These devices are loaded into **`NMDB`[PROJECT_TITLE]** from BFG -NL- database using bulk load process (DCMO) or by using NMS Loader web application -NL- for a single CPE router. The Data Loader application will get this information from -NL- **`NMDB`[PROJECT_TITLE]** for particular network realms via enhanced MLI capability exposed by ADL -NL- platform, and provide this data via APIs to the intelligent worker servers installed -NL- on Linux OS. Additionally, Data Loader automated interface will also get data from -NL- MLI for new customer devices added (create), deleted (ceased) and updated in the -NL- networks, from the **`NMDB`[PROJECT_TITLE]** database. -NL- Responsibilities: -NL-  Analyzing the design document and Gather requirements and identify -NL- requirement gap -NL-  Handle client communication regarding requirements, design, etc. -NL-  Designed and processed JSON requests according to different types of -NL- modules actions request data and responses accordingly to send it back to -NL- front end after the logic processing -NL-  Interacted with Business Analysts to come up with better implementation -NL- designs for the Application. -NL-  Worked with Testers in resolving various defects in the application and was -NL- an integral part of the team. -NL-  Prepared technical reports documentation manuals during the program -NL- development. -NL-  Provide guidance and support to the client’s internal teams such as the UAT -NL- team, business analysts, and stakeholders. -NL- Project#3: -NL- Project Name : **`Retail Medical Store`[PROJECT_TITLE]** -NL- Client : Global Health line -NL- Team Size : 8 Members -NL- Technologies : Java, spring, hibernate, REST, Servlet, JSP -NL- Tools & server: Tools (Eclipse,, Maven, JUnit, Log4j), server- -NL- Web Logic -NL- Database : Oracle -NL- Project Description: -NL- This project is used mainly for medical stores to maintain the details of -NL- medical store such as stock and account. This software is so designed as to ease -NL- the work load. The main feature includes inventory and stock control, accounting, -NL- customer management. In this software we can maintain the data of medicines, -NL- customers and billings. We can add the new customers or we can get old -NL- customers details by using mobile number. We can search for medicines, add to -NL- the bill and print the bill and customer details. -NL- Responsibilities: -NL-  Involved in Full Cycle of Software Development from Analysis through -NL- Design Development Integration and testing phases. -NL-  Involved in the configuration of Spring MVC File Download and ORM -NL- Frameworks Hibernate. -NL-  Designed and implemented Transaction Management using Spring. -NL-  Used Hibernate for mapping business objects to the Oracle database -NL-  Developed -NL- client -NL- request -NL- validations -NL- and -NL- processing -NL- using JavaScript and HTML. -NL-  Review the developed code and make sure it adheres to the design, -NL- standards and guidelines of the client. -NL-  Deploy minor/major releases -NL-  Involved in code enhancement, Defectfixing. -NL- **`Personal Profile:`[PERSONAL_DETAILS_HEADING]** -NL- Name : **`Manoj Sen`[NAME]** -NL- Gender : Male -NL- Date of Birth : 15th May, 1991 -NL- Languages Known : English, Hindi -NL- Permanent Address : ward no 17 Dhanpuri dist shahdol (M.P) -NL- pin-484114 -NL- 